Package org.apache.tomcat.util.descriptor.web

## Class JspPropertyGroupDescriptorImpl

- java.lang.Object
- - org.apache.tomcat.util.descriptor.web.JspPropertyGroupDescriptorImpl

All Implemented Interfaces:
  `JspPropertyGroupDescriptor`

    public class JspPropertyGroupDescriptorImpl
    extends java.lang.Object
    implements JspPropertyGroupDescriptor

### Constructor Summary

Constructors
`JspPropertyGroupDescriptorImpl​(JspPropertyGroup jspPropertyGroup)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getBuffer()` Obtain the per-page buffer configuration for this group of JSP pages.
`java.lang.String` `getDefaultContentType()` Obtain the default content type this group of JSP pages
`java.lang.String` `getDeferredSyntaxAllowedAsLiteral()` Is the deferred El syntax `#{...}` allowed to be used as a literal in this group?
`java.lang.String` `getElIgnored()` Is Expression Language ignored for this group?
`java.lang.String` `getErrorOnUndeclaredNamespace()` Should an error be raised at translation time for a page in this group if the page contains a reference (e.g. a tag) to a undeclared namespace.
`java.util.Collection<java.lang.String>` `getIncludeCodas()` Obtain the codas to include for this group.
`java.util.Collection<java.lang.String>` `getIncludePreludes()` Obtain the preludes to include for this group.
`java.lang.String` `getIsXml()` Should the JSPs in this group be treated as JSP documents?
`java.lang.String` `getPageEncoding()` Obtain the page encoding for this group.
`java.lang.String` `getScriptingInvalid()` Is scripting disabled for this group?
`java.lang.String` `getTrimDirectiveWhitespaces()` Should the JSPs in this group have template text that only contains whitespace removed?
`java.util.Collection<java.lang.String>` `getUrlPatterns()` Obtain the patterns to which this group applies.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JspPropertyGroupDescriptorImpl

    public JspPropertyGroupDescriptorImpl​(JspPropertyGroup jspPropertyGroup)

### Method Detail

#### getBuffer

    public java.lang.String getBuffer()

Description copied from interface: `javax.servlet.descriptor.JspPropertyGroupDescriptor`
Obtain the per-page buffer configuration for this group of JSP pages.

Specified by:
  `getBuffer` in interface `JspPropertyGroupDescriptor`
Returns:
  the per-page buffer configuration for this group of JSP pages

#### getDefaultContentType

    public java.lang.String getDefaultContentType()

Description copied from interface: `javax.servlet.descriptor.JspPropertyGroupDescriptor`
Obtain the default content type this group of JSP pages.#

Specified by:
  `getDefaultContentType` in interface `JspPropertyGroupDescriptor`
Returns:
  the default content type this group of JSP pages

#### getDeferredSyntaxAllowedAsLiteral

    public java.lang.String getDeferredSyntaxAllowedAsLiteral()

Description copied from interface: `javax.servlet.descriptor.JspPropertyGroupDescriptor`
Is the deferred El syntax `#{...}` allowed to be used as a literal in this group?

Specified by:
  `getDeferredSyntaxAllowedAsLiteral` in interface `JspPropertyGroupDescriptor`
Returns:
  `true` if the deferred EL syntax is allowed to be used as a literal, otherwise `false`

#### getElIgnored

    public java.lang.String getElIgnored()

Description copied from interface: `javax.servlet.descriptor.JspPropertyGroupDescriptor`
Is Expression Language ignored for this group?

Specified by:
  `getElIgnored` in interface `JspPropertyGroupDescriptor`
Returns:
  `true` if EL is ignored, otherwise `false`

#### getErrorOnUndeclaredNamespace

    public java.lang.String getErrorOnUndeclaredNamespace()

Description copied from interface: `javax.servlet.descriptor.JspPropertyGroupDescriptor`
Should an error be raised at translation time for a page in this group if the page contains a reference (e.g. a tag) to a undeclared namespace.

Specified by:
  `getErrorOnUndeclaredNamespace` in interface `JspPropertyGroupDescriptor`
Returns:
  `true` if an error should be raised, otherwise `false`

#### getIncludeCodas

    public java.util.Collection<java.lang.String> getIncludeCodas()

Description copied from interface: `javax.servlet.descriptor.JspPropertyGroupDescriptor`
Obtain the codas to include for this group.

Specified by:
  `getIncludeCodas` in interface `JspPropertyGroupDescriptor`
Returns:
  the codas to include for this group.

#### getIncludePreludes

    public java.util.Collection<java.lang.String> getIncludePreludes()

Description copied from interface: `javax.servlet.descriptor.JspPropertyGroupDescriptor`
Obtain the preludes to include for this group.

Specified by:
  `getIncludePreludes` in interface `JspPropertyGroupDescriptor`
Returns:
  the preludes to include for this group

#### getIsXml

    public java.lang.String getIsXml()

Description copied from interface: `javax.servlet.descriptor.JspPropertyGroupDescriptor`
Should the JSPs in this group be treated as JSP documents?

Specified by:
  `getIsXml` in interface `JspPropertyGroupDescriptor`
Returns:
  `true` if the JSPs should be treated as JSP documents, otherwise `false`

#### getPageEncoding

    public java.lang.String getPageEncoding()

Description copied from interface: `javax.servlet.descriptor.JspPropertyGroupDescriptor`
Obtain the page encoding for this group.

Specified by:
  `getPageEncoding` in interface `JspPropertyGroupDescriptor`
Returns:
  the page encoding for this group

#### getScriptingInvalid

    public java.lang.String getScriptingInvalid()

Description copied from interface: `javax.servlet.descriptor.JspPropertyGroupDescriptor`
Is scripting disabled for this group?

Specified by:
  `getScriptingInvalid` in interface `JspPropertyGroupDescriptor`
Returns:
  `true` if scripting is disabled, otherwise `false`

#### getTrimDirectiveWhitespaces

    public java.lang.String getTrimDirectiveWhitespaces()

Description copied from interface: `javax.servlet.descriptor.JspPropertyGroupDescriptor`
Should the JSPs in this group have template text that only contains whitespace removed?

Specified by:
  `getTrimDirectiveWhitespaces` in interface `JspPropertyGroupDescriptor`
Returns:
  `true` if the whitespace be removed, otherwise `false`

#### getUrlPatterns

    public java.util.Collection<java.lang.String> getUrlPatterns()

Description copied from interface: `javax.servlet.descriptor.JspPropertyGroupDescriptor`
Obtain the patterns to which this group applies.

Specified by:
  `getUrlPatterns` in interface `JspPropertyGroupDescriptor`
Returns:
  the patterns to which this group applies